Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attest.service.impl
Class AttestServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attest.service.impl.AttestServiceImpl

All Implemented Interfaces:
  AttestService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class AttestServiceImpl

extends Object
implements AttestService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation for the `AttestService` interface.

Constructor Summary
`AttestServiceImpl()` default constructor , needed for ModuleBootstrapHook.
`AttestServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Creates a new `AttestServiceImpl`

Method Summary
`void` | `bootstrap()`
`SendAttestationResponse` | `sendAttestion(SAMLToken token, SendAttestationRequest request)` Sends the consultation request to the WS and retrieves the response.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttestServiceImpl

    public AttestServiceImpl(SessionValidator sessionValidator,
                             EhealthReplyValidator replyValidator)

  Creates a new `AttestServiceImpl`

  Parameters:
    `sessionValidator` - the SessionValidator object
    `replyValidator` - the ReplyValidator object

### AttestServiceImpl

    public AttestServiceImpl()

  default constructor , needed for ModuleBootstrapHook.

Method Detail

### sendAttestion

    public final SendAttestationResponse sendAttestion(SAMLToken token,
                                                       SendAttestationRequest request)
                                                throws TechnicalConnectorException

  Description copied from interface: `AttestService`
  Sends the consultation request to the WS and retrieves the response. It only needs the SamlToken, no session needs to be active.

  Specified by:
    `sendAttestion` in interface `AttestService`
  Parameters:
    `token` - the valid SAML token
    `request` - the request to send
  Returns:
    ConsultGlobalMedicalFileResponse the WS response
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.